﻿
html {
    margin: 0;
    padding: 0;
}

body {
    background-color: white;
    text-align:center;
    font-size: 1em; /*.85em; */
    font-family:"HelveticaNeue", "Helvetica Neue", "HelveticaNeueRoman", "HelveticaNeue-Roman", "Helvetica Neue Roman", "TeXGyreHerosRegular", "Helvetica", "Tahoma", "Geneva", "Arial", sans-serif;
    font-weight: 300;
    margin: 0;
    padding: 0;
    clear: both;
}
h1 {
    font-size: 24px;
    font-weight: 300;
    line-height: 28px;
    margin-top: 40px;
}
h4, .h4 {
    margin-top:30px;
    font-size: 14px;
    margin-bottom:0;
    font-weight:bold;
}

.text h4 {
    margin-left:-10px;
    margin-bottom: 10px;
}

.text li {
    margin-left:20px;
}


/* main layout
----------------------------------------------------------*/
.content-wrapper {
    margin: 0 auto;
    text-align: center;
}

.logo {
    width:222px; 
    padding-top: 40px;
    padding-bottom:40px;
}

/*header .content-wrapper {
    padding-top: 20px; 
    background-size: cover;
}*/

/*#menu li {
      background: transparent url("/Images/step.png") center right no-repeat;
  text-decoration: none;
  color: #fff;
}*/

.actionLinkHidden  {
    display: none;
}
.actionLink {
    display: inline;
}

a.external {
    background: url(../Images/Icon_External_Link.png) center right no-repeat;
    padding-right: 13px;
}

.hidden {
    display: none;
}

.footer {
    position: relative;
    text-align: center;
    clear: both;
    width: auto;
    width: initial;
    margin-right: 0;
    padding-top: 50px;
}


/* site title
----------------------------------------------------------*/
.site-title {
    color: white;
    font-size: 48px;
    margin: 0;
    text-align:center;
}
.site-text {
    color: white;
    font-size: 18px;
    max-width: 850px;
    margin: 0 auto;
    padding-top: 20px;
    padding-bottom:40px;
    line-height:26.1px;
    display:block;
}

form {
    max-width: 1050px;
    text-align: center;
    margin: 0 auto;     /* centres it !*/
    display: block;
}

#divSuccess {
    margin-top: 40px;
    padding: 20px;
    border: 1px solid #4caf50;
    border-radius: 6px;
    text-align: left;
    display: none;
}

#divSuccess .title {
    color: #4caf50;
    font-size: 24px;
    margin: 0;
}

fieldset {
    border: none;
    margin: 0;
    padding: 0;
    text-align:left;
}
.full {
    width: auto;
}

.column1 {
    clear: both;
    float: left;
    height: 100%;
    margin-right: 0px;
    min-width:360px;
}

.column2 {
    float: left;
    height: 100%;
    margin-left: 10px;
}

.column3 {
    float: left;
    height: 100%;
    margin-left: 10px;
}
.columnReport {
    float: left;
    height: 100%;
    margin-left: 10px;
    max-width:450px;
}


    /*.col1 {
        width:auto;
        width:initial;
    }
    .col2 {
        position:absolute;
        margin-left:380px;
    }*/




.outlet-matrix {
    text-align: left;
    clear: both;
    width: auto;
    width: initial;
    margin-right: 0;
    padding-top:40px;
}

    fieldset legend {
        display: none;
    }

    fieldset ol {
        padding: 0;
        list-style: none;
    }

    fieldset ol li {
        padding-bottom: 5px;
    }

label {
    display: inline-block;
    font-weight: 400;
    margin-top:20px;
}
label.noMargin {
    margin-top:inherit;
}

label.required:after {
    content: "*";
    color: red;
    padding-left:3px;
}

label.display {
    display: inline;
    margin-left: 100px;
    position: absolute;
    margin-top: 3px;
    font-size: 18px;
}

label.aligned0 {
    position: absolute;
    margin-left: 20px;
}

label.aligned1 {
    position: absolute;
    margin-left: 200px;
    font-size: 18px;
}


.help {
    font-size:24px;
    content: " ? ";
    margin-left:10px !important;
    display: inline;
    text-decoration: none;
}

.checkbox {
    /*margin-top:-20px;*/
}
label.checkbox {
    display: inline;
}
label.inline {
    display: inline;
}

input, textarea {
    border: 1px inset;
    border-color: rgba(0,0,0,.25);
    background: #f5f5f5;
    color: #333;
    font-size: 1.2em;
    margin: 5px 0 6px 0;
    padding: 10px;
    width: 338px;       /* 360 - padding x 2 - border x 2 */
    display: block;
    border-radius: 6px;
    margin-top: 8px;
}
label.reportData {
    border: 1px inset;
    border-color: rgba(0,0,0,.25);
    background: #f5f5f5;
    color: #333;
    font-size: 1em;
    margin: 5px 0 6px 0;
    padding: 5px;
    width: 338px;       /* 360 - padding x 2 - border x 2 */
    display: block;
    border-radius: 3px;
    margin-top: 8px;
    line-height:17px;
}
input.inline {
    display:inline;
}

textarea {
    height: 160px;
    width: 600px;
    font-family:"HelveticaNeue", "Helvetica Neue", "HelveticaNeueRoman", "HelveticaNeue-Roman", "Helvetica Neue Roman", "TeXGyreHerosRegular", "Helvetica", "Tahoma", "Geneva", "Arial", sans-serif;
}


.main-content .k-datepicker, .k-dropdown  {
    color: #333;
    font-size: 1.2em;
    margin: 5px 0 6px 0;
    display: block !important;
    border-radius: 6px;
    margin-top: 8px;
}

.main-content .k-dropdown {
    width: 358px;
}
.main-content  .column2 .k-dropdown {
    width: 180px;
}
.main-content .wide .k-dropdown {
    width: 600px;
}

.k-dropdown-wrap, .k-numeric-wrap {
    height:36px;
}

.main-content .k-picker-wrap, k-dropdown-wrap {
    border: 1px inset;
    border-color: rgba(0,0,0,.25);
    border-radius: 6px;
}

.k-formatted-value {
    margin-top:-20px !important;
}

.main-content .k-select {
}

/*.main-content .k-picker-wrap, .k-state-default {
    padding-top: 5px;
    padding-left: 5px;
    margin-left: -5px;     
    margin-top: -5px;
}*/

.main-content .k-input {
    background: #f5f5f5;
    margin-left: -5px;     /* counters the padding-left above, so the dark grey doesn't show behind */
    margin-top: -5px;
    padding-left: 5px;
    padding-bottom: 8px;
    color: #333;
}

    input:focus, textarea:focus {
        border: 1px solid #7ac0da;
    }

    input[type="checkbox"] {
        background: transparent;
        border: inherit;
        width: auto;
        display: inline;
    }

    .short {
        width:160px;
    }

    .judgeScore {
        width:80px;
        text-align: center;
    }

    .judgeQ {
        text-align: left;
    }

    .judgeA {
        font-weight:bold;
        text-align: left;
    }

    /*input[type="submit"],
    input[type="button"],
    button {
        background-color: #005795;
        color:white;
        cursor: pointer;
        font-size: 1.2em;
        font-weight: 600;
        padding: 7px;
        margin-right: 8px;
        display: inline;
        width: 360px;
    }*/

    /*td input[type="submit"],
    td input[type="button"],
    td button {
        font-size: 1em;
        padding: 4px;
        margin-right: 4px;
    }*/

    .processing td, th {
        padding: 5px;
        padding-left: 10px;
    }

/* info and errors */
.message-info {
    border: 1px solid;
    clear: both;
    padding: 10px 20px;
}

.message-error {
    clear: both;
    color: #e80c4d;
    font-size: 1.1em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.message-success {
    color: #7ac0da;
    font-size: 1.3em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.error {
    color: #e80c4d;
}

/* styles for validation helpers */
.field-validation-error {
    color: #e80c4d;
    display: block;
}

.field-validation-error ul {
    color: #e80c4d;
    display: block;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c4d;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #e80c4d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-errors ul  {
    list-style-type: none;
}

.validation-summary-valid {
    display: none;
}

.k-window-content {
    text-align: left;
}

fieldset ul {
    list-style-type: none;
}

fieldset .text ul {
    list-style-type: disc;
    margin-left:-30px;
}


.k-radio-label {
    padding-left: 30px !important;
    padding-top:3px !important;
    display: block;
    width:300px;
}


/* tables
----------------------------------------------------------*/
table {
    border-collapse: collapse;
    border-spacing: 0;
    margin-top: 0.75em;
    border: 0 none;
}

.k-grid {
    font-size: 12px;
}

.k-grid-edit-row .text-box {
    font-size:12px;
    padding-left: 3px;
    padding-right: 3px;
}

/* the nub on gridview kendo tooltip error messages */
.k-callout-n {
    left: 5% !important;
}

/********************
*   Mobile Styles   *
********************/

@media only screen and (max-width: 750px), screen and (max-device-width: 750px) {

    /* header
    ----------------------------------------------------------*/
    header .float-left,
    header .float-right {
        float: none;
    }

    /* logo */
    .logo {
        width: 167px;
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .site-title {
        font-size: 36px;
    }

    .site-text {
        font-size: 12px;
        padding-top: 15px;
        padding-bottom: 30px;
        line-height: 20px;
    }

    h1 {
        font-size: 20px;
        font-weight: 300;
        line-height: 24px;
    }

    /* main layout
    ----------------------------------------------------------*/
    .main-content,
    .featured + .main-content {
        background-position: 10px 0;
    }

    .content-wrapper {
        padding-right: 10px;
        padding-left: 10px;
    }

    .featured .content-wrapper {
        padding: 10px;
    }

    fieldset {
        width: auto;
        width: initial;
        margin-left: 16px;
        margin-right: 32px;
        padding-right: 32px;
    }

    input, textarea {
        width: 100%;
    }

    textarea {
        height: 100px;
}


    input[type="submit"],
    input[type="button"],
    button {
        padding: 7px;
        display: inline;
        width: 100%;
    }

    .main-content .k-dropdown {
        width: auto;
        width: initial;
        margin-right: -20px;
    }

    .outlet-matrix {
        padding-bottom: 0px;
        padding-left: 0px;
        padding-right:12px;
    }

    .outlet-matrix .building {
        display: none;
    }

    .outlet-matrix input[type="submit"],
    input[type="button"],
    button {
        width: auto;
        width: initial;
        padding: 0px;
    }

 .specification .col1 {
    margin-right: 0px;
}
.specification .textWithLabel {
    min-width: 130px;
    width: 45%;
}
.specification .chkWithLabel {
    margin-bottom: 10px;
}
.checkboxes {
    width: 100px;
}
.specification label {
    width: 100px;
}
 .specification input[type=number] {
     min-width: 80px;
     width: 60%;
 }
    /* footer
    ----------------------------------------------------------*/
    .footer {
        padding-right: 8px;
    }

}
